Subject: Serial console on board based on Lite5200b

From: Angelo <[email-masked]>
Date: Fri, 7 Nov 2008 12:10:17 +0000 (GMT)

Hi, I have a board based on the Lite5200b, except that the serial console is on PSC4 instead of PSC1. 

Using the a custom U-boot (1.2.0) and kernel 2.6.21 (compiled for powerpc), I managed to get U-boot to output on the console on PSC4, but the kernel
does not.

I had just modified lite5200b.dts in some points:

1- My memory is 128Mb
2- I don't need eth,mdio,ata so I had commented
3- Enable PSC4
4- Added the chosen node:

chosen {
      linux,stdout-path = "/soc5200@f0000000/serial@2600";
      bootargs = "console=ttyPSC4,115200"; 
};

Debugging my board i notified that u-boot read & modify the device tree blob adding the chosen node:
chosen{                                                                    
  name = "chosen";                                                        
  bootargs = "console=ttyPSC3";
  linux,platform = <600>;
  linux,initrd-start = <7e2e000>;
  linux,initrd-end = <7f0fbf2>;
  linux,stdout-path = "/soc5200@f0000000/serial@2600";
}; 

I follow step by step the kernel start procedure.. and I notify that in setup_arch funtion is called find_legacy_serial_ports, but when is done if(legacy_serial_console >= 0) 
legacy_serial_console is equal to -1.

However, it is not sufficient.  What am I missing?

Thank you!

      Unisciti alla community di Io fotografo e video, il nuovo corso di fotografia di Gazzetta dello sport:
http://www.flickr.com/groups/iofotografoevideo